import {nodeResolve} from '@rollup/plugin-node-resolve';
import typescript from "@rollup/plugin-typescript"

let version = process.env.BUILD_TIMESTAMP ?? "dev";
let build_folder = "res/";


export default {
    input: {
        'sample-index':      'res/sample-index.ts',

    },
    output: {
        dir: build_folder,
        entryFileNames: 'js/es-[name]-' + version + '.js',
        chunkFileNames: 'js-shared/es-[name]-' + version + '.js',
        format: 'es',
        sourcemap: true
    },
    plugins: [
        nodeResolve({
            mainFields: ['esm2015'],
            //mainFields: ['esm2015', 'es2015', 'wj-esm2015'],
            browser: true
        }),
        typescript(),
    ]
};
